> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Slides Template

> Upload a PPTX file as the slides template for a brand kit.

The template's slide master, theme, fonts, and color scheme will be
used when generating presentations for tasks linked to this brand kit.
Replaces any previously uploaded template.



## OpenAPI

````yaml /openapi.json post /api/v1/brand-kits/{kit_id}/slides-template
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brand-kits/{kit_id}/slides-template:
    post:
      tags:
        - Brand Kits
        - Brand Kits
      summary: Upload Slides Template
      description: |-
        Upload a PPTX file as the slides template for a brand kit.

        The template's slide master, theme, fonts, and color scheme will be
        used when generating presentations for tasks linked to this brand kit.
        Replaces any previously uploaded template.
      operationId: upload_slides_template_api_v1_brand_kits__kit_id__slides_template_post
      parameters:
        - name: kit_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Kit Id
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_upload_slides_template_api_v1_brand_kits__kit_id__slides_template_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Upload Slides Template Api V1 Brand Kits  Kit Id 
                  Slides Template Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_upload_slides_template_api_v1_brand_kits__kit_id__slides_template_post:
      properties:
        file:
          type: string
          contentMediaType: application/octet-stream
          title: File
      type: object
      required:
        - file
      title: >-
        Body_upload_slides_template_api_v1_brand_kits__kit_id__slides_template_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````